petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecImaginaryPart

Replaces a complex vector with its imginary part

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecImaginaryPart(Vec v)

Collective on Vec

### Input Parameter

v -the vector

### See Also

VecNorm(), VecRealPart()

### Level

beginner

### Location

src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages